GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Enumerations | Functions
thd.c File Reference
`#include <memory.h>`
`#include <grpc/support/thd.h>`

## Enumerations
enum | { GPR_THD_JOINABLE = 1 }

## Functions
gpr_thd_options | gpr_thd_options_default (void)
void | gpr_thd_options_set_detached (gpr_thd_options *options)
void | gpr_thd_options_set_joinable (gpr_thd_options *options)
int | gpr_thd_options_is_detached (const gpr_thd_options *options)
int | gpr_thd_options_is_joinable (const gpr_thd_options *options)

## Enumeration Type Documentation

anonymous enum

Enumerator
GPR_THD_JOINABLE |

## Function Documentation

gpr_thd_options gpr_thd_options_default | ( | void |  | ) |

int gpr_thd_options_is_detached | ( | const gpr_thd_options * | options | ) |

int gpr_thd_options_is_joinable | ( | const gpr_thd_options * | options | ) |

void gpr_thd_options_set_detached | ( | gpr_thd_options * | options | ) |

void gpr_thd_options_set_joinable | ( | gpr_thd_options * | options | ) |